0
$\begingroup$

Rosanswers logo

Hi,

ubuntu 12.04 and ROS Fuerte

I downloaded the camera_calibration package using

git clone https://github.com/ros-perception/image_pipeline.git

When I do

rosdep install camera_calibration

ERROR: the following packages/stacks could not have their rosdep keys resolved to system dependencies: camera_calibration: Cannot locate rosdep definition for [sensor_msgs]

rosmake camera_calibration

[ rosmake ] rosmake starting...
[ rosmake ] Packages requested are: ['camera_calibration']
[ rosmake ] Logging to directory /home/sai/.ros/rosmake/rosmake_output-20130514-164830 [ rosmake ] Expanded args ['camera_calibration'] to: ['camera_calibration']
[rosmake-0] Starting >>> opencv2 [ make ]
[rosmake-1] Starting >>> catkin [ make ]
[rosmake-0] Finished <<< opencv2 ROS_NOBUILD in package opencv2
[rosmake-1] Finished <<< catkin ROS_NOBUILD in package catkin No Makefile in package catkin [rosmake-6] Starting >>> camera_calibration [ make ]
[rosmake-6] Finished <<< camera_calibration ROS_NOBUILD in package camera_calibration No Makefile in package camera_calibration [ rosmake ] Results:
[ rosmake ] Built 3 packages with 0 failures.
[ rosmake ] Summary output to directory
[ rosmake ] /home/sai/.ros/rosmake/rosmake_output-20130514-164830
sai@sai-HP-EliteBook-8460w:~/fuerte_workspace$

finally when i do roscd camera_calibration

roscd: No such package/stack 'camera_calibration'

***There is no issue with sensor_msgs and is working well

Any help on how to solve these issues and get camera_calibration to work.


Originally posted by sai on ROS Answers with karma: 1935 on 2013-05-13

Post score: 0


Original comments

Comment by mhariharasudan on 2013-05-13:
This means ROS_PACKAGE_PATH is not set properly and hence ROS is unable to locate sensor_msgs and camera_calibration packages. Are you using a ros workspace or are you installing in some directory. In the latter case, are you setting the ROS_PACKAGE_PATH to include that directory as well?

Comment by sai on 2013-05-14:
Hi, I am using ROS workspace and am able to roscd to sensor_msgs and all the issues are solved with camera_calibration...Only one thing is left..when I do rosdep install camera_calibration it says camera_calibration: Cannot locate rosdep definition for [sensor_msgs]

$\endgroup$

1 Answer 1

0
$\begingroup$

Rosanswers logo

It will be much simpler to just install the Ubuntu package:

$ sudo apt-get install ros-fuerte-image-pipeline

Originally posted by joq with karma: 25443 on 2013-05-14

This answer was ACCEPTED on the original site

Post score: 1


Original comments

Comment by sai on 2013-05-14:
Hi, I tried this and now I am struck with one thing .when I do rosdep install camera_calibration it says camera_calibration: Cannot locate rosdep definition for [sensor_msgs]

Comment by joq on 2013-05-15:
The point of using apt-get was to avoid building image-pipeline from source. Common messages should have been installed automatically, they are a dependency. You should not need that rosdep install.

Comment by Sulphur on 2017-09-12:
@sai @joq Hey. I have the same problem and it isn't yet solved. For "sudo apt-get install camera_calibration", I am getting "Unable to locate package camera_calibration"

For "sudo apt-get install ros-fuerte-image-pipeline", I am getting Unable to locate package ros-fuerte-image-pipeline

Comment by joq on 2017-10-03:
This answer dates back to 2013. ROS Fuerte is no longer supported. Substitute the name of the ROS version you are actually running.

$\endgroup$

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.